#pragma once

struct STRINGENTRY
{
	char* lpszString;
	struct STRINGENTRY* pNext;
}; 

//typedef struct STRINGENTRY, *STRINGENTRY;

class StringArray
{
public:
	StringArray(void);
	~StringArray(void);
	int Add(char* lpszString);
	char* GetFirstString(void);
	char* GetNextString(void);
private:
	STRINGENTRY* pFirstString;
	STRINGENTRY* pCurrentString;
	STRINGENTRY* pCurrentIterString;
};
